# forceload in order for motion to work
forceload add 0 0 0 0

scoreboard objectives add talentium trigger

# particles
scoreboard objectives add ttm.blocking_plot dummy
scoreboard objectives add ttm.particles dummy

# system-related
scoreboard objectives add ttm.tick dummy
scoreboard objectives add ttm.uuid dummy
scoreboard objectives add ttm.int dummy
scoreboard objectives add ttm.logout minecraft.custom:minecraft.leave_game
scoreboard objectives add ttm.const dummy
scoreboard objectives add ttm.listener minecraft.custom:play_time
scoreboard objectives add ttm.id dummy

# algorithm
scoreboard objectives add ttm.pt minecraft.custom:minecraft.play_time
scoreboard objectives add ttm.timer minecraft.custom:minecraft.play_time
scoreboard objectives add ttm.death deathCount

# raycast
scoreboard objectives add ttm.ray dummy
scoreboard objectives add ttm.ray2 dummy

# agriculture
scoreboard objectives add ttm.agriculture_check dummy
scoreboard objectives add ttm.crop_rate dummy
scoreboard objectives add ttm.agriculture_level dummy
scoreboard objectives add ttm.agriculture_exp dummy
scoreboard objectives add ttm.break_carrot minecraft.mined:minecraft.carrots
scoreboard objectives add ttm.break_potato minecraft.mined:minecraft.potatoes
scoreboard objectives add ttm.break_cocoa minecraft.mined:minecraft.cocoa
scoreboard objectives add ttm.break_wheat minecraft.mined:minecraft.wheat
scoreboard objectives add ttm.break_beetroot minecraft.mined:minecraft.beetroots
scoreboard objectives add ttm.break_nether_wart minecraft.mined:minecraft.nether_wart
scoreboard objectives add ttm.broke_plant dummy
scoreboard objectives add ttm.coospd dummy

# axes
scoreboard objectives add ttm.axes_check dummy
scoreboard objectives add ttm.axes_level dummy
scoreboard objectives add ttm.axes_exp dummy
scoreboard objectives add ttm.armor_crush dummy
scoreboard objectives add ttm.axes_timer dummy
scoreboard objectives add ttm.vindicator_kills dummy

# blocking
scoreboard objectives add ttm.blocking_check dummy
scoreboard objectives add ttm.blocking_level dummy
scoreboard objectives add ttm.blocking_exp dummy
scoreboard objectives add ttm.block_shield minecraft.broken:minecraft.shield
scoreboard objectives add ttm.kinetic_counter dummy

# brewing
scoreboard objectives add ttm.brewing_level dummy
scoreboard objectives add ttm.brewing_check dummy
scoreboard objectives add ttm.brewing_exp dummy
scoreboard objectives add ttm.inter_brew minecraft.custom:minecraft.interact_with_brewingstand
scoreboard objectives add ttm.brew_time dummy
scoreboard objectives add ttm.1 dummy
scoreboard objectives add ttm.2 dummy
scoreboard objectives add ttm.3 dummy

# standard durations
data modify storage ttm:skills brewing.potion.strong_potion set value 1800
data modify storage ttm:skills brewing.potion.standard_potion set value 3600
data modify storage ttm:skills brewing-potion.long_potion set value 9600

# slots
data modify storage ttm:skills brewing.potion.0.slot set value 0 
data modify storage ttm:skills brewing.potion.1.slot set value 1
data modify storage ttm:skills brewing.potion.2.slot set value 2

data modify storage ttm:skills brewing.potion.0.amplifier set value 0 
data modify storage ttm:skills brewing.potion.1.amplifier set value 0
data modify storage ttm:skills brewing.potion.2.amplifier set value 0

# excavation
scoreboard objectives add ttm.excavation_check dummy
scoreboard objectives add ttm.excavation_level dummy
scoreboard objectives add ttm.excavation_exp dummy
scoreboard objectives add ttm.break_clay minecraft.mined:minecraft.clay
scoreboard objectives add ttm.break_coarse_dirt minecraft.mined:minecraft.coarse_dirt
scoreboard objectives add ttm.break_dirt minecraft.mined:minecraft.dirt
scoreboard objectives add ttm.break_grass_block minecraft.mined:minecraft.grass_block
scoreboard objectives add ttm.break_gravel minecraft.mined:minecraft.gravel
scoreboard objectives add ttm.break_mud minecraft.mined:minecraft.mud
scoreboard objectives add ttm.break_mycelium minecraft.mined:minecraft.mycelium
scoreboard objectives add ttm.break_podzol minecraft.mined:minecraft.podzol
scoreboard objectives add ttm.break_red_sand minecraft.mined:minecraft.red_sand
scoreboard objectives add ttm.break_sand minecraft.mined:minecraft.sand
scoreboard objectives add ttm.break_snow minecraft.mined:minecraft.snow
scoreboard objectives add ttm.break_snow_block minecraft.mined:minecraft.snow_block
scoreboard objectives add ttm.break_soul_sand minecraft.mined:minecraft.soul_sand
scoreboard objectives add ttm.break_soul_soil minecraft.mined:minecraft.soul_soil

# fishing
scoreboard objectives add ttm.fishing_check dummy
scoreboard objectives add ttm.fishing_level dummy
scoreboard objectives add ttm.fishing_exp dummy
scoreboard objectives add ttm.fish_rate dummy
scoreboard objectives add ttm.used_fishing_rod minecraft.used:minecraft.fishing_rod

# magic
scoreboard objectives add ttm.magic_check dummy
scoreboard objectives add ttm.magic_level dummy
scoreboard objectives add ttm.magic_exp dummy
scoreboard objectives add ttm.magic_mainhand dummy
scoreboard objectives add ttm.magic_offhand dummy
scoreboard objectives add ttm.magic_power dummy
scoreboard objectives add ttm.delay dummy
scoreboard objectives add ttm.spell minecraft.custom:play_time
scoreboard objectives add ttm.spell_book trigger
team add ttm.green
team modify ttm.green color green

# marksmanship
scoreboard objectives add ttm.used_bow minecraft.used:minecraft.bow
scoreboard objectives add ttm.marksmanship_check dummy
scoreboard objectives add ttm.marksmanship_level dummy
scoreboard objectives add ttm.marksmanship_exp dummy
scoreboard objectives add ttm.marksmanship_sharpshooter dummy
scoreboard objectives add ttm.marksmanship_timer dummy
scoreboard objectives add ttm.marksmanship_sharp_timer dummy

# mining
scoreboard objectives add ttm.mining_check dummy
scoreboard objectives add ttm.mining_level dummy
scoreboard objectives add ttm.mining_exp dummy
scoreboard objectives add ttm.break_stone minecraft.mined:minecraft.stone
scoreboard objectives add ttm.break_diorite minecraft.mined:minecraft.diorite
scoreboard objectives add ttm.break_andesite minecraft.mined:minecraft.andesite
scoreboard objectives add ttm.break_granite minecraft.mined:minecraft.granite
scoreboard objectives add ttm.break_iron_ore minecraft.mined:minecraft.iron_ore
scoreboard objectives add ttm.break_diamond_ore minecraft.mined:minecraft.diamond_ore
scoreboard objectives add ttm.break_coal_ore minecraft.mined:minecraft.coal_ore
scoreboard objectives add ttm.break_redstone_ore minecraft.mined:minecraft.redstone_ore
scoreboard objectives add ttm.break_emerald_ore minecraft.mined:minecraft.emerald_ore
scoreboard objectives add ttm.break_lapis_ore minecraft.mined:minecraft.lapis_ore
scoreboard objectives add ttm.break_gold_ore minecraft.mined:minecraft.gold_ore
scoreboard objectives add ttm.break_deepslate minecraft.mined:minecraft.deepslate
scoreboard objectives add ttm.break_copper_ore minecraft.mined:minecraft.copper_ore
scoreboard objectives add ttm.break_amethyst minecraft.mined:minecraft.amethyst_block
scoreboard objectives add ttm.break_calcite minecraft.mined:minecraft.calcite
scoreboard objectives add ttm.break_d_coal_ore minecraft.mined:minecraft.deepslate_coal_ore
scoreboard objectives add ttm.break_d_iron_ore minecraft.mined:minecraft.deepslate_iron_ore
scoreboard objectives add ttm.break_d_gold_ore minecraft.mined:minecraft.deepslate_gold_ore
scoreboard objectives add ttm.break_d_copper_ore minecraft.mined:minecraft.deepslate_copper_ore
scoreboard objectives add ttm.break_d_redstone_ore minecraft.mined:minecraft.deepslate_redstone_ore
scoreboard objectives add ttm.break_d_lapis_ore minecraft.mined:minecraft.deepslate_lapis_ore
scoreboard objectives add ttm.break_d_emerald_ore minecraft.mined:minecraft.deepslate_emerald_ore
scoreboard objectives add ttm.break_d_diamond_ore minecraft.mined:minecraft.deepslate_diamond_ore
scoreboard objectives add ttm.break_tuff minecraft.mined:minecraft.tuff
scoreboard objectives add ttm.break_dripstone minecraft.mined:minecraft.dripstone_block
scoreboard objectives add ttm.break_sandstone minecraft.mined:minecraft.sandstone
scoreboard objectives add ttm.break_blackstone minecraft.mined:minecraft.blackstone
scoreboard objectives add ttm.break_netherrack minecraft.mined:minecraft.netherrack
scoreboard objectives add ttm.break_basalt minecraft.mined:minecraft.basalt
scoreboard objectives add ttm.break_smooth_basalt minecraft.mined:minecraft.smooth_basalt
scoreboard objectives add ttm.break_nether_gold_ore minecraft.mined:minecraft.nether_gold_ore
scoreboard objectives add ttm.break_nether_quartz_ore minecraft.mined:minecraft.nether_quartz_ore
scoreboard objectives add ttm.break_end_stone minecraft.mined:minecraft.end_stone

# smithing
scoreboard objectives add ttm.smithing_check dummy
scoreboard objectives add ttm.smithing_level dummy
scoreboard objectives add ttm.smithing_exp dummy
scoreboard objectives add ttm.smithing_ray dummy
scoreboard players set #ttm150 ttm.int 150
scoreboard players set #ttm-150 ttm.int -150
scoreboard players set #ttm15 ttm.int 15
scoreboard players set #ttm-5 ttm.int -5

data modify storage ttm:skills smithing.armor set value ""
data modify storage ttm:skills smithing.armor_toughness set value ""
data modify storage ttm:skills smithing.movement_speed set value ""
data modify storage ttm:skills smithing.max_health set value ""
data modify storage ttm:skills smithing.attack_damage set value ""
data modify storage ttm:skills smithing.attack_speed set value ""
data modify storage ttm:skills smithing.entity_interaction_range set value ""

# sneak
scoreboard objectives add ttm.sneak_check dummy
scoreboard objectives add ttm.sneak_level dummy
scoreboard objectives add ttm.sneak_exp dummy
scoreboard objectives add ttm.sneak_timer dummy
scoreboard objectives add ttm.sneak_timer minecraft.custom:minecraft.play_time
scoreboard objectives add ttm.sneak_tick minecraft.custom:minecraft.sneak_time

# swords
scoreboard objectives add ttm.swords_check dummy
scoreboard objectives add ttm.swords_level dummy
scoreboard objectives add ttm.swords_exp dummy
scoreboard objectives add ttm.bleed dummy
scoreboard objectives add ttm.bleed_damage dummy
scoreboard objectives add ttm.swords_timer dummy

# taming
scoreboard objectives add ttm.taming_check dummy
scoreboard objectives add ttm.taming_level dummy
scoreboard objectives add ttm.taming_exp dummy
scoreboard objectives add ttm.age dummy

# const values
scoreboard players set #ttm1 ttm.const 1
scoreboard players set #ttm2 ttm.const 2
scoreboard players set #ttm3 ttm.const 3
scoreboard players set #ttm4 ttm.const 4
scoreboard players set #ttm5 ttm.const 5
scoreboard players set #ttm6 ttm.const 6
scoreboard players set #ttm7 ttm.const 7
scoreboard players set #ttm8 ttm.const 8
scoreboard players set #ttm9 ttm.const 9
scoreboard players set #ttm10 ttm.const 10
scoreboard players set #ttm20 ttm.const 20
scoreboard players set #ttm24 ttm.const 24
scoreboard players set #ttm25 ttm.const 25
scoreboard players set #ttm32 ttm.const 32
scoreboard players set #ttm40 ttm.const 40
scoreboard players set #ttm55 ttm.const 55
scoreboard players set #ttm59 ttm.const 59
scoreboard players set #ttm60 ttm.const 60
scoreboard players set #ttm65 ttm.const 65
scoreboard players set #ttm75 ttm.const 75
scoreboard players set #ttm77 ttm.const 77
scoreboard players set #ttm91 ttm.const 91
scoreboard players set #ttm100 ttm.const 100
scoreboard players set #ttm105 ttm.const 105
scoreboard players set #ttm120 ttm.const 120
scoreboard players set #ttm131 ttm.const 131
scoreboard players set #ttm160 ttm.const 160
scoreboard players set #ttm165 ttm.const 165
scoreboard players set #ttm180 ttm.const 180
scoreboard players set #ttm195 ttm.const 195
scoreboard players set #ttm200 ttm.const 200
scoreboard players set #ttm225 ttm.const 225
scoreboard players set #ttm240 ttm.const 240
scoreboard players set #ttm250 ttm.const 250
scoreboard players set #ttm300 ttm.const 300
scoreboard players set #ttm363 ttm.const 363
scoreboard players set #ttm429 ttm.const 429
scoreboard players set #ttm495 ttm.const 495
scoreboard players set #ttm506 ttm.const 506
scoreboard players set #ttm528 ttm.const 528
scoreboard players set #ttm555 ttm.const 555
scoreboard players set #ttm592 ttm.const 592
scoreboard players set #ttm1000 ttm.const 1000
scoreboard players set #ttm1561 ttm.const 1561
scoreboard players set #ttm1800 ttm.const 1800
scoreboard players set #ttm2031 ttm.const 2031
scoreboard players set #ttm4000 ttm.const 4000
scoreboard players set #ttm9600 ttm.const 9600
scoreboard players set #ttm10000 ttm.const 10000

scoreboard players set #level_const1 ttm.const 100
scoreboard players set #level_const2 ttm.const 101

# Settings
execute store result score #level_curve_setting ttm.const run scoreboard players get #level_curve_setting ttm.const
execute store result score #level_cap_setting ttm.const run scoreboard players get #level_cap_setting ttm.const

scoreboard players add $load ttm.const 1

execute if score $load ttm.const matches 1 run function ttm:loaded